Skip to content

List signing keys

GET
/v1/endpoints/{id}/signing-keys

List active signing keys for an endpoint.

id
required
string
/^ep_[a-f0-9]{32}$/

Endpoint identifier (ep_ prefix + 32 hex chars)

Example
ep_550e8400e29b41d4a716446655440000

Signing keys retrieved successfully

object
data
Array<object>
object
id

Signing key ID

string
Example
sk_550e8400e29b41d4a716446655440001
key_hint

Last 4 chars of key for identification

string
Example
wxyz
created_at
string format: date-time
Example
2025-12-06T12:10:00Z
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"data": [
{
"id": "sk_550e8400e29b41d4a716446655440001",
"key_hint": "wxyz",
"created_at": "2025-12-06T12:10:00Z"
},
{
"id": "sk_550e8400e29b41d4a716446655440000",
"key_hint": "abcd",
"created_at": "2025-12-01T10:00:00Z"
}
],
"meta": {
"request_id": "req_xyz123"
}
}

Unauthorized - Invalid or missing API key

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}

Resource not found

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"error": {
"code": "NOT_FOUND",
"message": "Message not found"
},
"meta": {
"request_id": "req_xyz123"
}
}
Personalize Examples

Enter your credentials to populate code examples throughout the docs.